Skip to main content
GET
/
v1
/
sessions
curl --location --request GET 'https://api.stateset.com/v1/sessions' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \

{
    "data": {
        "message": {
            "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "created_at": "2021-01-01T00:00:00.000000Z",
            "name": "My Session",
            "system_prompt": "You are a helpful assistant.",
            "user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
        }
    }
}


Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

Response

id
string
This is the id of the session
name
string
This is the name of the session
uuid
string
This is the uuid of the session
user_id
string
This is the user_id of the session
curl --location --request GET 'https://api.stateset.com/v1/sessions' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \

{
    "data": {
        "message": {
            "id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
            "created_at": "2021-01-01T00:00:00.000000Z",
            "name": "My Session",
            "system_prompt": "You are a helpful assistant.",
            "user_id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
        }
    }
}